%global modulename loose-envify

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-loose-envify
Version:        1.4.0
Release:        1%{?dist}
Summary:        Fast (and loose) selective `process.env` replacer using js-tokens instead of an AST

License:        MIT
URL:            https://github.com/zertosh/loose-envify
Source0:        https://registry.npmjs.org/loose-envify/-/loose-envify-1.4.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(js-tokens) >= 3.0.0 with npmlib(js-tokens) < 4.0.0) or (npmlib(js-tokens) >= 4.0.0 with npmlib(js-tokens) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Fast (and loose) selective `process.env` replacer using js-tokens instead of an AST

%package 1.4.0
Summary:        Fast (and loose) selective `process.env` replacer using js-tokens instead of an AST


%description 1.4.0
Fast (and loose) selective `process.env` replacer using js-tokens instead of an AST

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr cli.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr custom.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr loose-envify.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr replace.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/cli.js %{buildroot}/%{_bindir}/loose-envify


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{_bindir}/loose-envify
%{nodejs_dir}/%{modulename}

%files 1.4.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 1.4.0-1
- Package automatically generated by npm2srpm
